/* -------------------------------------------------------------------------- */
.tmsg {
    z-index: 1000;
    position: absolute;
    font-size: 13px;
    color: #4F4B44;
}
.tmsg.view {

}
.tmsg.view .tmsg-box {
  top:  50%;
}
.tmsg.view .tmsg-bg {
  top:  0%;
}
.tmsg-box {
    z-index: 11;
    display: table;
    position: fixed;
    top:  -500%;
    left: 50%;
    background-color: #FFF;
    width: 512px;
    margin: 0 0 0 -256px;
    box-shadow: 0 0 3px rgba(0, 0, 0, 0.24);
    border-radius: 4px;
    border: 1px solid #868686;
}
.tmsg-header {
    padding: 10px;
    background-color: #4F5154;
    color: #FFF;
    letter-spacing: 0.15em;
    border-radius: 4px 4px 0 0;
}
.tmsg-box.tmsg-type-error .tmsg-header {
    background: #686868;
}
.tmsg-box.tmsg-type-success .tmsg-header {
    background: #686868;
}
.tmsg-content {
    padding: 10px;
    font-size: 16px;
}
.tmsg-footer {
    text-align: right;
    padding: 10px;
}
.tmsg-footer>* {
    margin-left: 16px;
}
.tmsg-close {
    color: #FFF;
    text-decoration: none;
    position: absolute;
    top: 4px;
    right: 0;
    padding: 3px 0;
    font-size: 16px;
    cursor: pointer;
    display: block;
    text-align: center;
    width: 35px;
}
.tmsg-bg {
    z-index: 10;
    position: fixed;
    top:  -500%;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #000;
    opacity: 0.10;
    filter: alpha(opacity=10);
}
.tmsg.view .tmsg-box {
    -webkit-animation:tmessageboxview 0.2s ease 1 alternate;
    animation:tmessageboxview 0.2s ease 1 alternate;
}
@keyframes tmessageboxview {
    0% { transform: scale(1.0, 1.0); opacity:0.8; }
    30% { transform: scale(1.03, 1.03); }
    100% { transform: scale(1.0, 1.0); opacity:1; }
}
/* -------------------------------------------------------------------------- */
